Bug 5610 (int-114165)

Summary: "Regional settings" items sorted by languages instead of countries
Product: [Maemo Official Platform] UI Specification Reporter: Dieter Plaetinck <dieter>
Component: GeneralAssignee: unassigned <nobody>
Status: RESOLVED FIXED QA Contact: ui-specification-bugs
Severity: enhancement    
Priority: Low CC: andre_klapper
Version: 5.0/(2.2009.51-1)   
Target Milestone: 5.0/(10.2010.19-1)   
Hardware: N900   
OS: Maemo   

Description Dieter Plaetinck (reporter) 2009-10-19 22:43:11 UTC
During the initial setup (and when going back to localisation settings), you're
asked to specify your "region".
the entries are in the form of "language (country)"

I find this weird, as a region != language.
I suggest to put the entries in the form of "country (language)"

maemo5 prerelease version.
Comment 1 Andre Klapper maemo.org 2009-10-20 11:53:36 UTC
Thanks for reporting.
For future reference, please always use the bug template.

Interesting point actually, but this will not be changed as it's currently
possible to "share" a few of the list entries so that less has to be
translated. Also, I think that it's not a big issue - you are still able to
choose your settings. :-)
Comment 2 Andre Klapper maemo.org 2010-02-10 17:38:55 UTC
This has been fixed in the internal build version
2010.06-3
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 3 Andre Klapper maemo.org 2010-03-15 20:56:49 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).